GET api/labelprinting/instructions?ownerNumber={ownerNumber}&productIdentifier={productIdentifier}&classId={classId}&includeImageData={includeImageData}
Gets labeling instructions by owner and product identifier. Returns LabelingInstructions object, see that for more information about its contents.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ownerNumber |
Owner company number |
string |
Required |
| productIdentifier |
Product identifier, such as GTIN, which is used for product lookup |
string |
Required |
| classId |
Class for the product identifier. The identifier is unique inside the class, but same identifier may exist on different classes. |
integer |
Required |
| includeImageData |
If true, base64 encoded image data is included in the response message. To save bandwidth, it is desirable to cache the image on client and request it only when needed. If false, a file name for the image is returned, which can be used to obtain the image in a separate request. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
LabelingInstructions| Name | Description | Type | Additional information |
|---|---|---|---|
| OwnerCompanyNumber |
Identifies the company which owns the products. Used in product lookup, since same product can be owned by multiple companies. |
string |
None. |
| ProductIdentifier |
The string which identifies the product, such as GTIN |
string |
None. |
| Success |
If true, request was successful and all data needed for labeling should be in place. Production labels can be printed. If false, only sample labels can be printed if enough data is available. FailedRequestDescription should be presented to the user. |
boolean |
None. |
| FailedRequestDescription |
If request was not successful, describes the reason and states what the user is expected to do in order to overcome the problem. Examples: Product cannot be found; Insufficient data for labeling; Label must be |
string |
None. |
| Number |
Product number or similar, assigned by owner. Example: MC0117 |
string |
None. |
| Name |
Name of the product. Example: Markup Controller version 01/2017 |
string |
None. |
| IdentifiedUnit |
The unit the ProductIdentifier identifies. |
string |
None. |
| BasicUnit |
Basic unit of the product. |
string |
None. |
| BasicUnitsInDefaultBox |
Number of basic unis in a default box or other container. |
decimal number |
None. |
| IdentifiedUnitSizeInBasicUnits |
Identified unit can be converted to basic unit by multiplying quantity represented in IdentifiedUnit by this value. For example, if 1 carton (1 CT) contains 8 consumer packages (PCE) and product was identified using GTIN of the carton, then IdentifiedUnit is CT, BasicUnit is PCE and IdentifiedUnitSizeInBasicUnits is 8. |
decimal number |
None. |
| LabelWidthMillimeters |
Width of the label, in millimeters. 0 if not set. |
decimal number |
None. |
| LabelHeightMillimeters |
Height of the label, in millimeters. 0 if not set. |
decimal number |
None. |
| LabelLayoutIdentifier |
Specifies the layout to use if layout is stored on client side. |
string |
None. |
| LabelLayoutData |
Data for the layout fields. |
string |
None. |
| LabelLayoutDataFormat |
Specifies the format of the LabelLayoutData. |
string |
None. |
| ProcessingDirectionsText |
Directions for the user. Example: Put the label in back of the product. |
string |
None. |
| ProcessingDirectionsImage |
Base64-encoded image bytes. |
string |
None. |
| ProcessingDirectionsImageFormat |
Format of the image, such as image/png or image/jpeg |
string |
None. |
Response Formats
application/json, text/json
{
"OwnerCompanyNumber": "sample string 1",
"ProductIdentifier": "sample string 2",
"Success": true,
"FailedRequestDescription": "sample string 4",
"Number": "sample string 5",
"Name": "sample string 6",
"IdentifiedUnit": "sample string 7",
"BasicUnit": "sample string 8",
"BasicUnitsInDefaultBox": 9.0,
"IdentifiedUnitSizeInBasicUnits": 10.0,
"LabelWidthMillimeters": 11.0,
"LabelHeightMillimeters": 12.0,
"LabelLayoutIdentifier": "sample string 13",
"LabelLayoutData": "sample string 14",
"LabelLayoutDataFormat": "sample string 15",
"ProcessingDirectionsText": "sample string 16",
"ProcessingDirectionsImage": "sample string 17",
"ProcessingDirectionsImageFormat": "sample string 18"
}
application/xml, text/xml
<LabelingInstructions xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WMS.WebApiService.DTOs"> <BasicUnit>sample string 8</BasicUnit> <BasicUnitsInDefaultBox>9</BasicUnitsInDefaultBox> <FailedRequestDescription>sample string 4</FailedRequestDescription> <IdentifiedUnit>sample string 7</IdentifiedUnit> <IdentifiedUnitSizeInBasicUnits>10</IdentifiedUnitSizeInBasicUnits> <LabelHeightMillimeters>12</LabelHeightMillimeters> <LabelLayoutData>sample string 14</LabelLayoutData> <LabelLayoutDataFormat>sample string 15</LabelLayoutDataFormat> <LabelLayoutIdentifier>sample string 13</LabelLayoutIdentifier> <LabelWidthMillimeters>11</LabelWidthMillimeters> <Name>sample string 6</Name> <Number>sample string 5</Number> <OwnerCompanyNumber>sample string 1</OwnerCompanyNumber> <ProcessingDirectionsImage>sample string 17</ProcessingDirectionsImage> <ProcessingDirectionsImageFormat>sample string 18</ProcessingDirectionsImageFormat> <ProcessingDirectionsText>sample string 16</ProcessingDirectionsText> <ProductIdentifier>sample string 2</ProductIdentifier> <Success>true</Success> </LabelingInstructions>